(TeX-add-style-hook
 "formal"
 (lambda ()
   (add-to-list 'LaTeX-verbatim-environments-local "coq")
   (add-to-list 'LaTeX-verbatim-environments-local "lstlisting")
   (add-to-list 'LaTeX-verbatim-macros-with-braces-local "path")
   (add-to-list 'LaTeX-verbatim-macros-with-braces-local "url")
   (add-to-list 'LaTeX-verbatim-macros-with-braces-local "nolinkurl")
   (add-to-list 'LaTeX-verbatim-macros-with-braces-local "hyperbaseurl")
   (add-to-list 'LaTeX-verbatim-macros-with-braces-local "hyperimage")
   (add-to-list 'LaTeX-verbatim-macros-with-braces-local "hyperref")
   (add-to-list 'LaTeX-verbatim-macros-with-braces-local "lstinline")
   (add-to-list 'LaTeX-verbatim-macros-with-delims-local "path")
   (add-to-list 'LaTeX-verbatim-macros-with-delims-local "lstinline")
   (LaTeX-add-labels
    "sec:coq-formalization"
    "subsec:hpn-struct"
    "def:sitpn"
    "fig:pgroups"
    "subsec:semantics"
    "def:sitpnstate"
    "def:semantics"
    "item:cond-env"
    "item:activate-actions"
    "item:deactivate-actions"
    "item:reset-itvals"
    "item:dec-itvals"
    "item:keep-itvals"
    "item:reset-not-sens"
    "item:fired"
    "item:not-sens-not-fired"
    "item:not-firable-not-fired"
    "item:new-marking"
    "item:reset-order"
    "item:no-reset-order"
    "item:upper-reached"
    "item:upper-not-reached"
    "item:exec-fun"
    "item:not-exec-fun"))
 :latex)

